<?xml version="1.0" encoding="iso-8859-1"?>

<!--
module :
sortir un formulaire en html avec les rfrences bibliographiques  + questions gnrales par personne

source :
/usr/home/fplod/incas/bibnemo/src/bibnemomaf/bibnemomaf04_xml.xsl sur aedon.locean-ipsl.upmc.fr

update :
++ parametrer le nom du fichier "base utilisateur" usernemo.xml
fplod 2007-10-17T08:06:40Z aedon.locean-ipsl.upmc.fr (Darwin)
improve sort (diacriticals)
fplod 2007-05-18T14:59:29Z aedon.locean-ipsl.upmc.fr (Darwin)
modif gestion id
fplod 2007-05-16T15:28:56Z aedon.locean-ipsl.upmc.fr (Darwin)
correction pour homonymes partiels
fplod 2007-05-15T15:07:37Z aedon.locean-ipsl.upmc.fr (Darwin)
modification to see usernemo/userid="template" information if author_id 
doesn't exit in users datafile
fplod 2007-04-16T08:10:06Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->

<xsl:stylesheet
 id="id" version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output
 method="xml"
 indent="yes"
 encoding="ISO-8859-1"
 omit-xml-declaration="yes"
 doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
 doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>

<xsl:include href="firstname_id.xsl"/>
<xsl:include href="surname_id.xsl"/>
<xsl:include href="table_authors.xsl"/>
<xsl:include href="form_db.xsl"/>

<xsl:variable name="list_author_ids" select="///author[not( self::node() = following::author )]"/>

<xsl:template match="bibliography">

<article lang="en">
<title>NEMO Survey - Known users</title>
<articleinfo>
<authorgroup>
<author><personname><firstname>Sbastien</firstname> <surname>Masson</surname></personname></author>
<author><personname><firstname>Franoise</firstname> <surname>Pinsard</surname></personname></author>
<!--++-->
</authorgroup>
<keywordset>
<keyword>NEMO</keyword>
</keywordset>
<!-- ++ date -->
</articleinfo>
<highlights>
 <xsl:element name="para">
These pages intent to provide an form for every know user of NEMO with bibliography and information.
 </xsl:element>
 <xsl:element name="para">
As you can imagine, this survey is not a new way to spy NEMO users and their work! The goal of this survey is simply collect and keep up-to-date information related to the use of NEMO: mainly the number of users and list of publications involving NEMO. These information and their temporal evolution are keys arguments when negotiating man-power or money to support our work. We tried to minimize as much as possible the time needed to fill this survey. Please, take a few minutes to fill it, this will greatly benefit to NEMO!
 </xsl:element>
</highlights>
<xsl:element name="para">
   The mail sent by filling these forms will be used to update
<ulink url="../../one/bibnemomain.php">Nemo-Puplications-Papers</ulink>
and <ulink url="../../one/usernemo.html">Nemo Users</ulink>.
</xsl:element>

<para>
Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
</para>
<para>
Last update of the usernemo databank : <xsl:value-of select="document('usernemo.xml')/usersnemo/date"/>
</para>

<xsl:call-template name="table_authors">
 <xsl:with-param name="linktype" select="'external'"/>
</xsl:call-template>

<sect1 id="intro">
<title>Intro</title>
<para>
This document provide bibliography and NEMO user's information sorted by author's id.
</para>
</sect1>

<!-- loop on author_ids -->
<xsl:for-each select="$list_author_ids">
 <xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
 <xsl:variable name="author_id2">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="personname/surname"/>
</xsl:call-template>
<xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="personname/firstname"/>
</xsl:call-template>
</xsl:variable>
<!--
<xsl:message terminate="no">
 noeud courant <xsl:value-of select="name(.)"/>
 author <xsl:value-of select="."/>
 author_id2 <xsl:value-of select="$author_id2"/>
</xsl:message>
-->
 <xsl:call-template name="one_author_id">
  <xsl:with-param name="author_id" select="$author_id2"/>
  <xsl:with-param name="author_name" select="."/>
 </xsl:call-template>
</xsl:for-each>

</article>
</xsl:template>

<xsl:template match="bibliographyinfo/date"/>
<xsl:template match="bibliography/title"/>

<xsl:template name="one_author_id">
 <xsl:param name="author_id"/>
 <xsl:param name="author_name"/>
 <!--
 <xsl:message terminate="no">
  call template avec <xsl:value-of select="$author_id"/>
  et <xsl:value-of select="$author_name"/>
  noeud courant <xsl:value-of select="name(.)"/>
 </xsl:message>
 -->
 <!--
 <xsl:message terminate="no">
  author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::surname=$author_id])"/>
  2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::author=$author_name])"/>
 </xsl:message>
  -->
 <xsl:element name="sect1">
  <xsl:attribute name="id">
   <xsl:value-of select="$author_id"/>
  </xsl:attribute>
  <xsl:element name="title">
   <xsl:value-of select="$author_name"/>
  </xsl:element>
  <xsl:element name="para">
As you can imagine, this survey is not a new way to spy NEMO users and their work! The goal of this survey is simply collect and keep up-to-date information related to the use of NEMO: mainly the number of users and list of publications involving NEMO. These information and their temporal evolution are keys arguments when negotiating man-power or money to support our work. We tried to minimize as much as possible the time needed to fill this survey. Please, take a few minutes to fill it, this will greatly benefit to NEMO!
  </xsl:element>
  <xsl:element name="para">
   The mail sent by filling this form will be used to update
<ulink url="../../one/bibnemomain.php">Nemo-Puplications-Papers</ulink>
and <ulink url="../../one/usernemo.html">Nemo Users</ulink>.
  </xsl:element>

  <xsl:choose>
   <xsl:when test="document('usernemo.xml')/usersnemo/usernemo[descendant::userid=$author_id]/userid = $author_id">
    <xsl:call-template name="form_db">
     <xsl:with-param name="author_id" select="$author_id"/>
     <xsl:with-param name="usernemo" select="document('usernemo.xml')/usersnemo/usernemo[descendant::userid=$author_id]"/>
     <xsl:with-param name="visu_modif" select="'modif'"/>
     <xsl:with-param name="bibmode" select="'yes'"/>
    </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
    <xsl:call-template name="form_db">
     <xsl:with-param name="author_id" select="$author_id"/>
     <xsl:with-param name="usernemo" select="document('usernemo.xml')/usersnemo/usernemo[descendant::userid='template']"/>
     <xsl:with-param name="visu_modif" select="'modif'"/>
     <xsl:with-param name="bibmode" select="'yes'"/>
    </xsl:call-template>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:element>
</xsl:template>

</xsl:stylesheet>
